#include <iostream>

using namespace std;

int main()
{
    long long n, k, m, res=0;
    cin >> n >> k;
    long long a[1000];
    for (long long i=0; i<k; i++) a[i]=0;
    for (long long i=0; i<k; i++)
    {
        cin >> m;
        a[m-1]=1;
    }
    long long b[20000];
    for (long long i=0; i<20000; i++) b[i]=0;
    for (long long i=0; i<n; i++)
        for (long long j=i; j<n; j++)
    {
        if (a[i]==0 && a[j]==0) b[i+j]=1;
    }
    for (long long i=0; i<20000; i++) if (b[i]==1) res++;
    cout << res;
    return 0;
}
